/* @(#)lp/head/sys:gclp.h	1.4 */
/*
 * GCP Line Printer Type Devices I/O Control
 */

struct gclp {
	struct lprio    lprio;
	struct cir_buf  l_outq;
	struct cirbuf   l_commands;
	struct cirbuf   l_lbuf[2];
	int             ccc;		/* software col count */
	int             mcc;		/* hardware col count */
	int             mlc;		/* hardware line count */
	unsigned short  l_state;
	char            open_flag;
	unsigned char	l_board;	/* board number			*/
	unsigned char	l_cent_stat;	/* cent port status		*/
	unsigned char   l_freelbuf;
};

/* l_state bits */
#define LP_BUSY		0x0001

#define LPVERSION  0x30000000

#define	FORM	014

#define GCLP_MTOS_OPEN		(0x0000|GC_LP_COMMANDS)
#define GCLP_MTOS_CLOSE		(0x0100|GC_LP_COMMANDS)
#define GCLP_MTOS_WRITE		(0x0200|GC_LP_COMMANDS)

#define GCLP_STOM_LOW_WATER	(0x0000|GC_LP_COMMANDS)
