
#ident	"%Z%uts/head/sys:%M%	%I%"

/* pwrf.h */
/* 
   contains external definitions and literal definitions for the power fail
   handling code of the kernel
*/

/* 
 * icb.h contains the two interrupt macros ICBSTOP_TAPE and ICBSTOP_IO
 * that will be sent to the disk/tape controllers
 */

#ifndef ICB_H
#include "sys/icb.h"
#endif /* ICB_H */


extern char stop_tape_io, power_fail, power_fail_ups;
extern time_t power_fail_time;

#define UPS_PRESENT     8
#define EXT_AC_FAIL     4

