/*
 *  Configuration table header information
 */

#define _5000_60_80      1

#define	B_DISK	0		/* bdevsw entry for dk */
#define	C_DISK	2		/* cdevsw entry for dk */
#define	B_RDSK	2		/* bdevsw entry for rdk */
#define	B_NFSD	4		/* bdevsw entry for nfsd */
#define	C_NFSD	4		/* cdevsw entry for nfsd */
#define	B_SDSK0	6		/* bdevsw entry for sdk0 */
#define	C_SDSK0	40		/* cdevsw entry for sdk0 */
#define	B_SDSK1	7		/* bdevsw entry for sdk1 */
#define	C_SDSK1	41		/* cdevsw entry for sdk1 */
#define	B_SDSK2	8		/* bdevsw entry for sdk2 */
#define	C_SDSK2	42		/* cdevsw entry for sdk2 */
#define	B_SDSK3	9		/* bdevsw entry for sdk3 */
#define	C_SDSK3	43		/* cdevsw entry for sdk3 */
#define	C_CON	0		/* cdevsw entry for con */
#define	L_CON	0		/* linesw entry for con */
#define	C_MEMORY	1		/* cdevsw entry for mm */
#define	C_TAPE	3		/* cdevsw entry for mt */
#define	C_ICB	5		/* cdevsw entry for icb */
#define	C_TTY	6		/* cdevsw entry for sy */
#define	C_SXT	7		/* cdevsw entry for sxt */
#define	L_SXT	2		/* linesw entry for sxt */
#define	C_GCTTY	8		/* cdevsw entry for gctty_ */
#define	L_GCTTY	1		/* linesw entry for gctty_ */
#define	C_MAC	9		/* cdevsw entry for mac */
#define	C_ERRLOG	10		/* cdevsw entry for err */
#define	C_GCLP	11		/* cdevsw entry for gclp_ */
#define	C_GCBSC	12		/* cdevsw entry for gcbsc_ */
#define	C_GCBSCT	13		/* cdevsw entry for gcbsct_ */
#define	C_GCBSCM	14		/* cdevsw entry for gcbscm_ */
#define	C_GCSNA	15		/* cdevsw entry for gcsna_ */
#define	C_GCSNAT	16		/* cdevsw entry for gcsnat_ */
#define	C_GCSDLC	17		/* cdevsw entry for gcsdlc_ */
#define	C_GCSDLCT	18		/* cdevsw entry for gcsdlct_ */
#define	C_PRF	19		/* cdevsw entry for prf */
#define	C_NINETRK	20		/* cdevsw entry for nt */
#define	C_NINE_C	21		/* cdevsw entry for ntc */
#define	C_SAR	22		/* cdevsw entry for sar */
#define	C_NINE_C2	23		/* cdevsw entry for ntc2 */
#define	C_GCTTM	24		/* cdevsw entry for gcttm_ */
#define	L_GCTTM	3		/* linesw entry for gcttm_ */
#define	C_GCMUXT	25		/* cdevsw entry for gcmuxt_ */
#define	C_NTDUMMY	28		/* cdevsw entry for ntdummy */
#define	C_LOG	29		/* cdevsw entry for log */
#define	C_SP	35		/* cdevsw entry for sp */
#define	C_CLONE	36		/* cdevsw entry for cln */
#define	MAXUP	25
#define	NHBUF	512
#define	NPBUF	4
#define	MESG	1
#define	MSGMAP	100
#define	MSGMAX	8192
#define	MSGMNB	16384
#define	MSGMNI	50
#define	MSGSSZ	8
#define	MSGTQL	40
#define	MSGSEG	1024
#define	SEMA	1
#define	SEMMAP	10
#define	SEMMNI	10
#define	SEMMNS	60
#define	SEMMNU	30
#define	SEMMSL	25
#define	SEMOPM	10
#define	SEMUME	10
#define	SEMVMX	32767
#define	SEMAEM	16384
#define	SHMEM	1
#define	SHMMAX	(128*1024)
#define	SHMMIN	1
#define	SHMMNI	20
#define	SHMSEG	6
#define	SHMBRK	8
#define	SHMALL	512
#define	NBUF	400
#define	MBMAX	400
#define	BDFLUSHMAX	400
#define	NINODE	175
#define	NS5INODE	(175+1)
#define	NFILE	175
#define	NMOUNT	12
#define	NCALL	50
#define	NPROC	150
#define	NREGION	475
#define	NCLIST	10
#define	NFLOCKS	30
#define	SPTMAP	20
#define	SPTSIZE	66
#define	SHLBMAX	2
#define	VHNDFRAC	20
#define	GPGSLO	25
#define	GPGSHI	50
#define	GPGSMSK	0x00001100
#define	VHANDR	1
#define	VHANDL	10
#define	MAXSC	50
#define	MAXFC	50
#define	MAXUMEM	(1024*15)
#define	BDFLUSHR	60
#define	MINARMEM	25
#define	MINASMEM	25
#define	MAXSLICE	50
#define	NOFILES	64
#define	FLCKREC	20
#define	NAUTOUP	10
#define	BDNOSYNC	0
#define	NON_ALIGNED_SIZE	512
#define	CDLIMIT_CONF	2048
#define	NQUEUE	8
#define	NSTREAM	4
#define	NBLK4096	1
#define	NBLK2048	1
#define	NBLK1024	2
#define	NBLK512	2
#define	NBLK256	2
#define	NBLK128	2
#define	NBLK64	2
#define	NBLK16	2
#define	NBLK4	2
#define	NMUXLINK	4
#define	NSTRPUSH	4
#define	NSTREVENT	4
#define	MAXSEPGCNT	4
#define	STRMSGSZ	4096
#define	STRCTLSZ	4096
#define	STRLOFRAC	80
#define	STRMEDFRAC	90
#define	LOG_BSZ	1
#define	NUM_LOGS	8
#define	ILOGSIZE	40
#define	RFS	0
#define	NSRMOUNT	1
#define	STIBSZ	8192
#define	STOBSZ	8192
#define	STIHBUF	(ST_0*4)
#define	STOHBUF	(ST_0*4)
#define	STNPRNT	(ST_0>>2)
#define	NADVERTISE	25
#define	MAXGDP	24
#define	NRCVD	150
#define	NRDUSER	250
#define	NSNDD	100
#define	HIST	6
#define	RFHEAP	3072
#define	MINSERVE	3
#define	MAXSERVE	6
#define	RFS_VHIGH	1
#define	RFS_VLOW	1
#define	NFS	0
#define	NFS_RNUM	50
#define	NFSD_IMAJ	4

#define	CON_0 1
#define	CON_0_PHYS 1
#define	CON_0_0_LOG 1
#define	CON_0_DEV 1

#define	CLONE_0 1
#define	CLONE_0_PHYS 1
#define	CLONE_0_0_LOG 1
#define	CLONE_0_DEV 1

#define	SP_0 1
#define	SP_0_PHYS 1
#define	SP_0_0_LOG 1
#define	SP_0_DEV 1

#define	LOG_0 1
#define	LOG_0_PHYS 1
#define	LOG_0_0_LOG 1
#define	LOG_0_DEV 1

#define	NTDUMMY_0 1
#define	NTDUMMY_0_PHYS 1
#define	NTDUMMY_0_0_LOG 1
#define	NTDUMMY_0_DEV 1

#define	SAR_0 1
#define	SAR_0_PHYS 1
#define	SAR_0_0_LOG 1
#define	SAR_0_DEV 1

#define	SXT_0 1
#define	SXT_0_PHYS 4
#define	SXT_0_0_LOG 8
#define	SXT_0_1_LOG 8
#define	SXT_0_2_LOG 8
#define	SXT_0_3_LOG 8
#define	SXT_0_DEV 32

#define	MAC_0 11
#define	MAC_0_PHYS 1
#define	MAC_0_0_LOG 1
#define	MAC_0_DEV 11

#define	GCLP_0 11
#define	GCLP_0_PHYS 1
#define	GCLP_0_0_LOG 1
#define	GCLP_0_DEV 11

#define	GCTTY_0 11
#define	GCTTY_0_PHYS 1
#define	GCTTY_0_0_LOG 16
#define	GCTTY_0_DEV 176

#define	NINE_C2_0 1
#define	NINE_C2_0_PHYS 4
#define	NINE_C2_0_0_LOG 1
#define	NINE_C2_0_1_LOG 1
#define	NINE_C2_0_2_LOG 1
#define	NINE_C2_0_3_LOG 1
#define	NINE_C2_0_DEV 4

#define	NINE_C_0 1
#define	NINE_C_0_PHYS 4
#define	NINE_C_0_0_LOG 1
#define	NINE_C_0_1_LOG 1
#define	NINE_C_0_2_LOG 1
#define	NINE_C_0_3_LOG 1
#define	NINE_C_0_DEV 4

#define	NINETRK_0 1
#define	NINETRK_0_PHYS 4
#define	NINETRK_0_0_LOG 1
#define	NINETRK_0_1_LOG 1
#define	NINETRK_0_2_LOG 1
#define	NINETRK_0_3_LOG 1
#define	NINETRK_0_DEV 4

#define	RDSK_0 4
#define	RDSK_0_PHYS 4
#define	RDSK_0_0_LOG 1
#define	RDSK_0_1_LOG 1
#define	RDSK_0_2_LOG 1
#define	RDSK_0_3_LOG 1
#define	RDSK_0_DEV 16

#define	TAPE_0 1
#define	TAPE_0_PHYS 4
#define	TAPE_0_0_LOG 1
#define	TAPE_0_1_LOG 1
#define	TAPE_0_2_LOG 1
#define	TAPE_0_3_LOG 1
#define	TAPE_0_DEV 4

#define	SDSK3_0 1
#define	SDSK3_0_PHYS 14
#define	SDSK3_0_0_LOG 16
#define	SDSK3_0_1_LOG 16
#define	SDSK3_0_2_LOG 16
#define	SDSK3_0_3_LOG 16
#define	SDSK3_0_4_LOG 16
#define	SDSK3_0_5_LOG 16
#define	SDSK3_0_6_LOG 16
#define	SDSK3_0_7_LOG 16
#define	SDSK3_0_8_LOG 16
#define	SDSK3_0_9_LOG 16
#define	SDSK3_0_10_LOG 16
#define	SDSK3_0_11_LOG 16
#define	SDSK3_0_12_LOG 16
#define	SDSK3_0_13_LOG 16
#define	SDSK3_0_DEV 224

#define	SDSK2_0 1
#define	SDSK2_0_PHYS 14
#define	SDSK2_0_0_LOG 16
#define	SDSK2_0_1_LOG 16
#define	SDSK2_0_2_LOG 16
#define	SDSK2_0_3_LOG 16
#define	SDSK2_0_4_LOG 16
#define	SDSK2_0_5_LOG 16
#define	SDSK2_0_6_LOG 16
#define	SDSK2_0_7_LOG 16
#define	SDSK2_0_8_LOG 16
#define	SDSK2_0_9_LOG 16
#define	SDSK2_0_10_LOG 16
#define	SDSK2_0_11_LOG 16
#define	SDSK2_0_12_LOG 16
#define	SDSK2_0_13_LOG 16
#define	SDSK2_0_DEV 224

#define	SDSK1_0 1
#define	SDSK1_0_PHYS 14
#define	SDSK1_0_0_LOG 16
#define	SDSK1_0_1_LOG 16
#define	SDSK1_0_2_LOG 16
#define	SDSK1_0_3_LOG 16
#define	SDSK1_0_4_LOG 16
#define	SDSK1_0_5_LOG 16
#define	SDSK1_0_6_LOG 16
#define	SDSK1_0_7_LOG 16
#define	SDSK1_0_8_LOG 16
#define	SDSK1_0_9_LOG 16
#define	SDSK1_0_10_LOG 16
#define	SDSK1_0_11_LOG 16
#define	SDSK1_0_12_LOG 16
#define	SDSK1_0_13_LOG 16
#define	SDSK1_0_DEV 224

#define	SDSK0_0 1
#define	SDSK0_0_PHYS 14
#define	SDSK0_0_0_LOG 16
#define	SDSK0_0_1_LOG 16
#define	SDSK0_0_2_LOG 16
#define	SDSK0_0_3_LOG 16
#define	SDSK0_0_4_LOG 16
#define	SDSK0_0_5_LOG 16
#define	SDSK0_0_6_LOG 16
#define	SDSK0_0_7_LOG 16
#define	SDSK0_0_8_LOG 16
#define	SDSK0_0_9_LOG 16
#define	SDSK0_0_10_LOG 16
#define	SDSK0_0_11_LOG 16
#define	SDSK0_0_12_LOG 16
#define	SDSK0_0_13_LOG 16
#define	SDSK0_0_DEV 224

#define	DISK_0 4
#define	DISK_0_PHYS 4
#define	DISK_0_0_LOG 16
#define	DISK_0_1_LOG 16
#define	DISK_0_2_LOG 16
#define	DISK_0_3_LOG 16
#define	DISK_0_DEV 256

#define	ERRLOG_0 1
#define	ERRLOG_0_PHYS 1
#define	ERRLOG_0_0_LOG 1
#define	ERRLOG_0_DEV 1

#define	TTY_0 1
#define	TTY_0_PHYS 1
#define	TTY_0_0_LOG 1
#define	TTY_0_DEV 1

#define	ICB_0 1
#define	ICB_0_PHYS 1
#define	ICB_0_0_LOG 1
#define	ICB_0_DEV 1

#define	MEMORY_0 1
#define	MEMORY_0_PHYS 1
#define	MEMORY_0_0_LOG 1
#define	MEMORY_0_DEV 1
