
#	@(#)localcf.mk	3.13
VERS	=	-VS 31
SYS	=	syst
NODE	=	syst
VER	=	`date '+%m%d'`
SINC	=	/usr/include
MACH	=	M68020
UMACH	=	M68020
CFLAGS	=	-O -W0,-sp -I$(SINC) -D$(MACH)
LD		=	/bin/$(PREFIX)ld
CC		=	/bin/$(PREFIX)cc
AS		=	/bin/$(PREFIX)as
C2		=	/lib/$(PREFIX)c2
CPP		=	/lib/$(PREFIX)cpp
CCOM		=	/lib/$(PREFIX)ccom

all:	conf.o name.o

name.o:\
	$(SINC)/sys/utsname.h\
	name.c
	$(CC) $(CFLAGS) -c \
		-DSYS=\"`expr $(SYS) : '\(.\{1,8\}\)'`\" \
		-DNODE=\"`expr $(NODE) : '\(.\{1,8\}\)'`\" \
		-DVER=\"$(VER)\" \
		-DUMACH=\"`expr $(UMACH) : '\(.\{1,8\}\)'`\" \
		name.c
	rm -f name.c

name.c: utsname.c	
	cp utsname.c name.c

conf.o:\
	config.h\
	$(SINC)/sys/conf.h\
	$(SINC)/sys/param.h\
	$(SINC)/sys/space.h\
	$(SINC)/sys/sysmacros.h\
	$(SINC)/sys/types.h \
	conf.c
	$(CC) -I../ $(CFLAGS) -c conf.c

config.h conf.c: \
	system \
	/etc/master
	/etc/config  system

clean:
	-rm -f *.o

clobber:	clean
	-rm -f conf.c config.h
