CFLAGS=-O -W0,-sp -D_5000_60_80
NOPCFLAGS=-W0,-sp -D_5000_60_80
LIBNAME=../lib2
INCRT=/usr/include
PREFIX=0
LD		=	/bin/$(PREFIX)ld
CC		=	/bin/$(PREFIX)cc
AS		=	/bin/$(PREFIX)as
C2		=	/lib/$(PREFIX)c2
CPP		=	/lib/$(PREFIX)cpp
CCOM		=	/lib/$(PREFIX)ccom

CFILES=\
	something.c

FILES =\
	$(LIBNAME)(something.o)

OPFILES =\
	foo

#the following is for files which cannot be optimized
NOPFILES =\
	rtb

all:		$(LIBNAME) 

.PRECIOUS:	$(LIBNAME)

$(LIBNAME):	$(FILES)

.c.a:
	@case $* in \
	$(OPFILES))\
		echo "\t$(CC) -I$(INCRT) -S $*.c";\
		$(CC) -I$(INCRT) -S $*.c;\
		echo "\ted - $*.s <../spl.ed";\
		ed - $*.s <../spl.ed;\
		echo "\t/lib/c2 $*.s $*.os";\
		$(C2) $*.s $*.os;\
		echo "\tas -o $*.o $*.os";\
		as -o $*.o $*.os;\
		echo "\trm -f $*.s $*.os";\
		rm -f $*.s $*.os;\
		;;\
	$(NOPFILES))\
		echo "\t$(CC) -c $(NOPCFLAGS) -I$(INCRT) $*.c";\
		$(CC) -c $(NOPCFLAGS) -I$(INCRT) $*.c;\
		;;\
	*)\
		echo "\t$(CC) -c $(CFLAGS) -I$(INCRT) $*.c";\
		$(CC) -c $(CFLAGS) -I$(INCRT) $*.c;\
		;;\
	esac
	ar rv $@ $*.o
	-rm -f $*.o

.c~.a:
	$(GET) $(GFLAGS) -p $< > $*.c
	@case $* in \
	$(OPFILES))\
		echo "\t$(CC) -I$(INCRT) -S $*.c";\
		$(CC) -I$(INCRT) -S $*.c;\
		echo "\ted - $*.s <../spl.ed";\
		ed - $*.s <../spl.ed;\
		echo "\t/lib/c2 $*.s $*.os";\
		$(C2) $*.s $*.os;\
		echo "\tas -o $*.o $*.os";\
		as -o $*.o $*.os;\
		echo "\trm -f $*.s $*.os";\
		rm -f $*.s $*.os;\
		;;\
	$(NOPFILES))\
		echo "\t$(CC) -c $(NOPCFLAGS) -I$(INCRT) $*.c";\
		$(CC) -c $(NOPCFLAGS) -I$(INCRT) $*.c;\
		;;\
	*)\
		echo "\t$(CC) -c $(CFLAGS) -I$(INCRT) $*.c";\
		$(CC) -c $(CFLAGS) -I$(INCRT) $*.c;\
		;;\
	esac
	ar rv $@ $*.o
	-rm -f $*.[co]

clean:
	-rm -f *.o

clobber:
	-rm -f $(LIBNAME)

$(LIBNAME)(something.o):\
	$(INCRT)/sys/param.h\
	$(INCRT)/sys/types.h\
	$(INCRT)/sys/termio.h\

